// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using Microsoft.Azure;
using Microsoft.Azure.Commands.Compute.Automation.Models;
using Microsoft.Azure.Management.Compute;
using Microsoft.Azure.Management.Compute.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Management.Automation;

namespace Microsoft.Azure.Commands.Compute.Automation
{
    [Cmdlet(VerbsCommon.New, "AzureComputeArgumentList", DefaultParameterSetName = "CreateParameterListByMethodName")]
    [OutputType(typeof(object))]
    public partial class NewAzureComputeArgumentListCmdlet : ComputeAutomationBaseCmdlet
    {
        [Parameter(ParameterSetName = "CreateParameterListByMethodName", Mandatory = true, Position = 0)]
        [ValidateSet(
            "VirtualMachineScaleSetsCreateOrUpdate",
            "VirtualMachineScaleSetsDeallocate",
            "VirtualMachineScaleSetsDelete",
            "VirtualMachineScaleSetsDeleteInstances",
            "VirtualMachineScaleSetsGet",
            "VirtualMachineScaleSetsGetInstanceView",
            "VirtualMachineScaleSetsList",
            "VirtualMachineScaleSetsListAll",
            "VirtualMachineScaleSetsListAllNext",
            "VirtualMachineScaleSetsListNext",
            "VirtualMachineScaleSetsListSkus",
            "VirtualMachineScaleSetsListSkusNext",
            "VirtualMachineScaleSetsPowerOff",
            "VirtualMachineScaleSetsReimage",
            "VirtualMachineScaleSetsRestart",
            "VirtualMachineScaleSetsStart",
            "VirtualMachineScaleSetsUpdateInstances",
            "VirtualMachineScaleSetVMsDeallocate",
            "VirtualMachineScaleSetVMsDelete",
            "VirtualMachineScaleSetVMsGet",
            "VirtualMachineScaleSetVMsGetInstanceView",
            "VirtualMachineScaleSetVMsList",
            "VirtualMachineScaleSetVMsListNext",
            "VirtualMachineScaleSetVMsPowerOff",
            "VirtualMachineScaleSetVMsReimage",
            "VirtualMachineScaleSetVMsRestart",
            "VirtualMachineScaleSetVMsStart"
        )]
        public virtual string MethodName { get; set; }

        protected override void ProcessRecord()
        {
            base.ProcessRecord();
            ExecuteClientAction(() =>
            {
                if (ParameterSetName == "CreateParameterListByMethodName")
                {
                    switch (MethodName)
                    {
                        case "VirtualMachineScaleSetsCreateOrUpdate" : WriteObject(CreateVirtualMachineScaleSetCreateOrUpdateParameters(), true); break;
                        case "VirtualMachineScaleSetsDeallocate" : WriteObject(CreateVirtualMachineScaleSetDeallocateParameters(), true); break;
                        case "VirtualMachineScaleSetsDelete" : WriteObject(CreateVirtualMachineScaleSetDeleteParameters(), true); break;
                        case "VirtualMachineScaleSetsDeleteInstances" : WriteObject(CreateVirtualMachineScaleSetDeleteInstancesParameters(), true); break;
                        case "VirtualMachineScaleSetsGet" : WriteObject(CreateVirtualMachineScaleSetGetParameters(), true); break;
                        case "VirtualMachineScaleSetsGetInstanceView" : WriteObject(CreateVirtualMachineScaleSetGetInstanceViewParameters(), true); break;
                        case "VirtualMachineScaleSetsList" : WriteObject(CreateVirtualMachineScaleSetListParameters(), true); break;
                        case "VirtualMachineScaleSetsListAll" : WriteObject(CreateVirtualMachineScaleSetListAllParameters(), true); break;
                        case "VirtualMachineScaleSetsListAllNext" : WriteObject(CreateVirtualMachineScaleSetListAllNextParameters(), true); break;
                        case "VirtualMachineScaleSetsListNext" : WriteObject(CreateVirtualMachineScaleSetListNextParameters(), true); break;
                        case "VirtualMachineScaleSetsListSkus" : WriteObject(CreateVirtualMachineScaleSetListSkusParameters(), true); break;
                        case "VirtualMachineScaleSetsListSkusNext" : WriteObject(CreateVirtualMachineScaleSetListSkusNextParameters(), true); break;
                        case "VirtualMachineScaleSetsPowerOff" : WriteObject(CreateVirtualMachineScaleSetPowerOffParameters(), true); break;
                        case "VirtualMachineScaleSetsReimage" : WriteObject(CreateVirtualMachineScaleSetReimageParameters(), true); break;
                        case "VirtualMachineScaleSetsRestart" : WriteObject(CreateVirtualMachineScaleSetRestartParameters(), true); break;
                        case "VirtualMachineScaleSetsStart" : WriteObject(CreateVirtualMachineScaleSetStartParameters(), true); break;
                        case "VirtualMachineScaleSetsUpdateInstances" : WriteObject(CreateVirtualMachineScaleSetUpdateInstancesParameters(), true); break;
                        case "VirtualMachineScaleSetVMsDeallocate" : WriteObject(CreateVirtualMachineScaleSetVMDeallocateParameters(), true); break;
                        case "VirtualMachineScaleSetVMsDelete" : WriteObject(CreateVirtualMachineScaleSetVMDeleteParameters(), true); break;
                        case "VirtualMachineScaleSetVMsGet" : WriteObject(CreateVirtualMachineScaleSetVMGetParameters(), true); break;
                        case "VirtualMachineScaleSetVMsGetInstanceView" : WriteObject(CreateVirtualMachineScaleSetVMGetInstanceViewParameters(), true); break;
                        case "VirtualMachineScaleSetVMsList" : WriteObject(CreateVirtualMachineScaleSetVMListParameters(), true); break;
                        case "VirtualMachineScaleSetVMsListNext" : WriteObject(CreateVirtualMachineScaleSetVMListNextParameters(), true); break;
                        case "VirtualMachineScaleSetVMsPowerOff" : WriteObject(CreateVirtualMachineScaleSetVMPowerOffParameters(), true); break;
                        case "VirtualMachineScaleSetVMsReimage" : WriteObject(CreateVirtualMachineScaleSetVMReimageParameters(), true); break;
                        case "VirtualMachineScaleSetVMsRestart" : WriteObject(CreateVirtualMachineScaleSetVMRestartParameters(), true); break;
                        case "VirtualMachineScaleSetVMsStart" : WriteObject(CreateVirtualMachineScaleSetVMStartParameters(), true); break;
                        default : WriteWarning("Cannot find the method by name = '" + MethodName + "'."); break;
                    }
                }
            });
        }

    }
}
